<!--moguyun-->
<template>
<div>
    <h3>当前最新的count值为：{{$store.state.count}}</h3>
    <button @click="addcount">+1</button>
    <button @click="btnhandle">+1 Async</button>
    <button @click="btnhandle1">+5 Async</button>
    <h3>{{$store.getters.showNum}}</h3>
</div>
</template>

<script>
export default {
    data() {
        return {
            
        }
    },
    methods: {
        addcount(){
            this.$store.commit('add')
        },
        //异步让count自增1
        btnhandle(){
            //dispatch函数专门用来触发action
            this.$store.dispatch('addAsync')
        },
        btnhandle1(){
            this.$store.dispatch('addNAsync',5)
        }
    }
}
</script>
